View Issue Details

IDProjectCategoryView StatusLast Update
0002579FreeCADBugpublic2017-01-20 10:41
Reportermik Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSubuntuOS Versionx64
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002579: Invalid positioning
DescriptionUsing manual placement (edit mode) doesn't play well with setting positional parameters in the placement window.
Steps To ReproduceCreate a new project. Add a cylinder from the Part menu. Now double click the cylinder in the left treeview, so that the Cylinder get surrounded with arrows and circles (i.e. toggle Edit mode). Now use your mouse to move it around, change it's rotation etc.

Now click the Placement property so that the Placement window will appear on the left. Don't change any number - just click "Apply" repeatedly and you'll see that everytime you click it, the cylinder moves a little.

In some scenarios the Cylinder's position will converge to some position nearby, but sometimes it will move away randomly.

This can get even worse if you move/rotate the Cylinder while still being in the Placement window and then click Apply.


Both behaviours are buggy, as I expect it to stand still if I just click "Apply" repeatedly.
TagsNo tags attached.
FreeCAD Information

Activities

Kunda1

2017-01-17 20:32

administrator   ~0007852

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=19991

mik

2017-01-20 09:04

reporter   ~0007894

I'm no longer able to reproduce it myself, so i guess it must've been fixed in some release.
My current FreeCad:

OS: Ubuntu 16.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Kunda1

2017-01-20 10:41

administrator   ~0007895

Thanks @mik for retesting and reporting.
Closing.

Issue History

Date Modified Username Field Change
2016-06-07 09:51 mik New Issue
2017-01-17 20:32 Kunda1 Note Added: 0007852
2017-01-20 09:04 mik Note Added: 0007894
2017-01-20 10:41 Kunda1 Note Added: 0007895
2017-01-20 10:41 Kunda1 Status new => closed
2017-01-20 10:41 Kunda1 Resolution open => fixed
2017-01-20 10:41 Kunda1 Fixed in Version => 0.17